import { PolarBase } from "./PolarBase";
import { PathRenderer } from "./PathRenderer";
import { SeriesView } from "./SeriesView";
import { UnknownValuePlotting } from "igniteui-react-core";
import { PolarFrame } from "./PolarFrame";
import { PolarBaseView } from "./PolarBaseView";
import { Type } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class PolarLineSeriesBase extends PolarBase {
    static $t: Type;
    protected get_wm(): boolean;
    protected wr(): boolean;
    protected cg(): SeriesView;
    o0(a: SeriesView): void;
    zb: PolarLineSeriesBaseView;
    constructor();
    y8: PathRenderer;
    za: PathRenderer;
    zc(): UnknownValuePlotting;
    protected get_zf(): boolean;
    protected get zf(): boolean;
    protected get_zh(): boolean;
    protected get zh(): boolean;
    x6(a: PolarFrame, b: PolarBaseView): void;
    private zi;
    private zj;
    private ze;
    private zd;
    private zg;
    protected abstract zk(a: SeriesView): void;
    abstract zl(a: PolarFrame, b: PolarBaseView): void;
    nj(a: boolean, b: SeriesView): void;
    y9: PathRenderer;
    ya(a: PolarFrame, b: PolarBaseView): void;
}
/**
 * @hidden
 */
export declare class PolarLineSeriesBaseView extends PolarBaseView {
    static $t: Type;
    private c6;
    constructor(a: PolarLineSeriesBase);
    protected af(): void;
}
